commit:     3f15fe33a5a9ef9b391c4b49915c4351fafb8ee8
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Feb  5 06:41:07 2018 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Feb  5 06:41:07 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3f15fe33

www-servers/adsf: add 1.4.1

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 www-servers/adsf/Manifest          |  1 +
 www-servers/adsf/adsf-1.4.1.ebuild | 33 +++++++++++++++++++++++++++++++++
 2 files changed, 34 insertions(+)

diff --git a/www-servers/adsf/Manifest b/www-servers/adsf/Manifest
index e775ee886d4..ff9a9088ea3 100644
--- a/www-servers/adsf/Manifest
+++ b/www-servers/adsf/Manifest
@@ -1,2 +1,3 @@
 DIST adsf-1.3.1.tar.gz 165956 BLAKE2B 
08e449c39670ea4e09d69e244c346f0fe689130d83e8faf7806b65e1449d115305be1b45668ac5c27db772cab554c9eb2029b4a9d42bd25165532b2d67df09a1
 SHA512 
7e923a84d57eda40f0220fac84f0a259780504ce615361a962eda5d7c2dbfe335b57a91b70b7c84b9b30132398594da37c85b84379670cc5116607017bf6a85e
 DIST adsf-1.4.0.tar.gz 170180 BLAKE2B 
2a5c741351908ad37d964b755a4a9a5d8f3137099de6437ac854eb9027792fd7b63c0a26d08b46e971ed8357ff78a0b67a120d7d29d6bd035e78d5a62d04bb5a
 SHA512 
b656d9163706e71e01ce157638cc1f64af4c3c267a9d8b290a9d8069ac9ac470ccb15338275fadb4ae821dfaa172851b1d8fe187b555d40bc428f7f179964667
+DIST adsf-1.4.1.tar.gz 170221 BLAKE2B 
41a87135b74e62c9d39c64839e7802b3decc47bee04cdd93eb0e1bec6361a654378e9c310bbd18a0bddeb834f444ff67aa0f8efe21dd7ffc94c876db3230b469
 SHA512 
b0334102308b6ecaead6db1f7b28c3bc27a9ac853fd055e9695e9bcf36ba25db890cae57a91195d398debdfd84b5d6c7ce9142d6bd5bdd30220170210b3cdf6f

diff --git a/www-servers/adsf/adsf-1.4.1.ebuild 
b/www-servers/adsf/adsf-1.4.1.ebuild
new file mode 100644
index 00000000000..20663029737
--- /dev/null
+++ b/www-servers/adsf/adsf-1.4.1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby22 ruby23 ruby24"
+
+RUBY_FAKEGEM_EXTRADOC="../NEWS.md ../README.md"
+
+RUBY_FAKEGEM_TASK_DOC=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Dead Simple Fileserver is a static file server that can launch 
in a directory"
+HOMEPAGE="https://github.com/ddfreyne/adsf/";
+SRC_URI="https://github.com/ddfreyne/adsf/archive/${PV}.tar.gz -> ${P}.tar.gz"
+RUBY_S="${P}/adsf"
+LICENSE="MIT"
+
+KEYWORDS="~amd64"
+SLOT="0"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/rack-1.0.0:*"
+
+ruby_add_bdepend "test? ( dev-ruby/rack-test )"
+
+all_ruby_prepare() {
+       sed -i -e '/simplecov/,/SimpleCov.command_name/ s:^:#:' \
+               -e '/websocket/ s:^:#:' test/helper.rb || die
+       sed -i -e '/test_receives_update/,/^  end/ s:^:#:' test/test_server.rb 
|| die
+       sed -i -e '/rubocop/I s:^:#:' Rakefile || die
+       rm -f test/test_version.rb || die
+}

Reply via email to